> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/compute/zec/disk-snapshot/describesnapshots.md).

# DescribeSnapshots

## 1. API Description

This API (DescribeSnapshots) is used to query the details of snapshots.

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name  | Required | Type                                                                                   | Description                                                                 |
| --------------- | -------- | -------------------------------------------------------------------------------------- | --------------------------------------------------------------------------- |
| snapshotIds     | No       | Array of String                                                                        | Filter by the list of snapshot IDs.                                         |
| zoneId          | No       | String                                                                                 | Availability zone ID to which the snapshot belongs.                         |
| status          | No       | [SnapshotStatusValue](/api-reference/compute/zec/datastructure.md#snapshotstatusvalue) | Filter by the state of the snapshot.                                        |
| diskIds         | No       | Array of String                                                                        | Filter by the list of disk IDs to which the snapshot belongs.               |
| diskType        | No       | [DiskType](/api-reference/compute/zec/datastructure.md#disktype)                       | Filter by the disk type of the snapshot.                                    |
| snapshotType    | No       | [SnapshotType](/api-reference/compute/zec/datastructure.md#snapshottype)               | Filter by the snapshot type.                                                |
| snapshotName    | No       | String                                                                                 | <p>Filter by the snapshot name.</p><p>This field supports fuzzy search.</p> |
| pageSize        | No       | Integer                                                                                | <p>Number of items in the current page result.</p><p>Default value: 20</p>  |
| pageNum         | No       | Integer                                                                                | <p>Number of pages returned.</p><p>Default value: 1</p>                     |
| resourceGroupId | No       | String                                                                                 | Filter by resource group ID.                                                |

## 3. Output Parameters

| Parameter Name | Type                                                                              | Description                                                                                                           |
| -------------- | --------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String                                                                            | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |
| totalCount     | Integer                                                                           | The total number of snapshots that meet the filtering conditions.                                                     |
| dataSet        | Array of [SnapshotInfo](/api-reference/compute/zec/datastructure.md#snapshotinfo) | The returned snapshot list data.                                                                                      |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Query the list of snapshots.**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeSnapshots
<Common Request Params>

Request：
{
    "snapshotIds": ["snapshotId1","snapshotId2"],
    "zoneId": "asia-east-1a",
    "status": "AVAILABLE",
    "snapshotName": "snapshot-state",
    "pageSize": 20,
    "pageNum": 1
}

Response：
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
    "totalCount": 1,
    "dataSet": [
      {
        "snapshotId": "<snapshotId>",
        "snapshotName": "snapshotName",
        "zoneId": "asia-east-1a",
        "status": "AVAILABLE",
        "diskId": "<diskId>",
        "createTime": "2025-07-02T09:51:00Z",
        "resourceGroupId": "0a253bb0-eb7d-4328-84ec-fc8d1487b31a",
        "resourceGroupName": "Default Resource Group",
      }
    ]
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code | Description |
| ---------------- | ---------- | ----------- |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/compute/zec/disk-snapshot/describesnapshots.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
